Bug 25699 - Add edition information to Holds to pull report
Summary: Add edition information to Holds to pull report
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 20.05
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Peter Vashchuk
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-09 07:13 UTC by Minna Kivinen
Modified: 2020-07-13 02:42 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.02


Attachments
Bug 25699: Add edition information to "Holds to pull" report (5.07 KB, patch)
2020-06-10 12:37 UTC, Peter Vashchuk
Details | Diff | Splinter Review
Bug 25699: Add edition information to "Holds to pull" report (5.07 KB, patch)
2020-06-12 10:04 UTC, Peter Vashchuk
Details | Diff | Splinter Review
Bug 25699: Add edition information to "Holds to pull" report (5.13 KB, patch)
2020-06-18 12:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25699: Add edition information to "Holds to pull" report (5.19 KB, patch)
2020-06-21 16:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Minna Kivinen 2020-06-09 07:13:02 UTC
Holds to pull -report should show edition information of a book. Edition information can be fetched from biblioitem -table, there is no need to get it from metadata -table. Edition can be printed with title -information.
(Earlier it was possible to user Marc to keyword -feature, but there is not that anymore available).
In scientific libraries it is very essential to know which edition is needed.
Comment 1 Peter Vashchuk 2020-06-10 12:37:06 UTC Comment hidden (obsolete)
Comment 2 Peter Vashchuk 2020-06-12 10:04:45 UTC
Created attachment 105786 [details] [review]
Bug 25699: Add edition information to "Holds to pull" report

Added a feature that displays edition information of the book
together with title in "Holds to pull" report.

Edition information is fetched from "biblioitem" table
as "editionstatement" and transferred to template.

Those changes don't have performance impact as all tables
including "biblioitem" were already used and joined in this request.

Mentored-by: Andrew Nugged <nugged@gmail.com>
Comment 3 Owen Leonard 2020-06-18 12:31:09 UTC
Created attachment 106006 [details] [review]
Bug 25699: Add edition information to "Holds to pull" report

Added a feature that displays edition information of the book
together with title in "Holds to pull" report.

Edition information is fetched from "biblioitem" table
as "editionstatement" and transferred to template.

Those changes don't have performance impact as all tables
including "biblioitem" were already used and joined in this request.

Mentored-by: Andrew Nugged <nugged@gmail.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Katrin Fischer 2020-06-21 16:10:43 UTC
Hi Petro, thx for the patch! 
You've got a good description of the patch in your commit message, but it would be nice to also have steps for testing this. Not an issue here for me, just noting for future patches! I also suspect you might not be using git-bz yet (from the [PATCH] in your subject line) - if not, I recommend checking it out as it makes life a lot easier.
Comment 5 Katrin Fischer 2020-06-21 16:11:12 UTC
Created attachment 106132 [details] [review]
Bug 25699: Add edition information to "Holds to pull" report

Added a feature that displays edition information of the book
together with title in "Holds to pull" report.

Edition information is fetched from "biblioitem" table
as "editionstatement" and transferred to template.

Those changes don't have performance impact as all tables
including "biblioitem" were already used and joined in this request.

Mentored-by: Andrew Nugged <nugged@gmail.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2020-06-22 21:40:01 UTC
*** Bug 25799 has been marked as a duplicate of this bug. ***
Comment 7 Andrew Nugged 2020-06-22 22:23:05 UTC
(In reply to Katrin Fischer from comment #4)
> but it would be nice to also have steps for testing this.

all three of us noted that, ok, thanks :P.
Comment 8 Jonathan Druart 2020-06-24 13:33:01 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Lucas Gass 2020-07-10 16:36:15 UTC
useful enhancement, choosing to backport

backported to 20.05.x for 20.05.02
Comment 10 Aleisha Amohia 2020-07-13 02:42:51 UTC
enhancement, not backporting to 19.11.x